-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.24a-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema corsodb
--

CREATE DATABASE IF NOT EXISTS corsodb;
USE corsodb;

--
-- Definition of table `arti`
--

DROP TABLE IF EXISTS `arti`;
CREATE TABLE `arti` (
  `ARARTI` char(10) collate latin1_general_ci NOT NULL COMMENT 'Articolo',
  `ARDESC` char(30) collate latin1_general_ci NOT NULL COMMENT 'Descrizione Articolo',
  `ARPREZ` int(5) unsigned NOT NULL COMMENT 'Prezzo Articolo',
  PRIMARY KEY  (`ARARTI`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Articoli';

--
-- Dumping data for table `arti`
--

/*!40000 ALTER TABLE `arti` DISABLE KEYS */;
INSERT INTO `arti` (`ARARTI`,`ARDESC`,`ARPREZ`) VALUES 
 ('CAV001','Cavo stampante',5),
 ('COM001','Computer portatile Toshiba',1000),
 ('COM002','PC mobile Acer',1200),
 ('MOU001','Mouse',12),
 ('USB001','Chiave USB 2.0 1 Gb',50);
/*!40000 ALTER TABLE `arti` ENABLE KEYS */;


--
-- Definition of table `clie`
--

DROP TABLE IF EXISTS `clie`;
CREATE TABLE `clie` (
  `CLCLIE` char(10) collate latin1_general_ci NOT NULL COMMENT 'Cliente',
  `CLRAS1` char(50) collate latin1_general_ci NOT NULL COMMENT 'Ragione Sociale 1',
  `CLRAS2` char(50) collate latin1_general_ci NOT NULL COMMENT 'Ragione Sociale 2',
  `CLINDI` char(50) collate latin1_general_ci NOT NULL,
  `CLCAPX` char(9) collate latin1_general_ci NOT NULL COMMENT 'Cap',
  `CLLOCA` char(25) collate latin1_general_ci NOT NULL COMMENT 'Localita',
  `CLPROV` char(2) collate latin1_general_ci NOT NULL COMMENT 'Provincia',
  `CLNAZI` char(3) collate latin1_general_ci NOT NULL COMMENT 'Nazione',
  PRIMARY KEY  (`CLCLIE`),
  KEY `prov` (`CLPROV`),
  KEY `nazi` (`CLNAZI`),
  CONSTRAINT `nazi` FOREIGN KEY (`CLNAZI`) REFERENCES `nazi` (`NANAZI`),
  CONSTRAINT `prov` FOREIGN KEY (`CLPROV`) REFERENCES `prov` (`PRPROV`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Clienti';

--
-- Dumping data for table `clie`
--

/*!40000 ALTER TABLE `clie` DISABLE KEYS */;
INSERT INTO `clie` (`CLCLIE`,`CLRAS1`,`CLRAS2`,`CLINDI`,`CLCAPX`,`CLLOCA`,`CLPROV`,`CLNAZI`) VALUES 
 ('AC','Allievo Corso','fulmine','piazza speranza, 0','21000','Rho','MI','FRA'),
 ('CN','Claudio Neroni','vecchia volpe','via del mare, 5','12345','Como','CO','ITA'),
 ('FT','Francesco Toppan','dramma','via del monte, 22','22222','Madrid','RM','ESP'),
 ('ML','Maurizio Lupi','capo','via da noi','99999','Busto','TO','GB'),
 ('VC','Vincenzo Caserta','sbarbato','via da qui, 100','32323','Milano','MI','ITA');
/*!40000 ALTER TABLE `clie` ENABLE KEYS */;


--
-- Definition of table `coco`
--

DROP TABLE IF EXISTS `coco`;
CREATE TABLE `coco` (
  `NANAZ1` char(3) collate latin1_general_ci NOT NULL,
  `NANAZ2` char(3) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`NANAZ1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `coco`
--

/*!40000 ALTER TABLE `coco` DISABLE KEYS */;
INSERT INTO `coco` (`NANAZ1`,`NANAZ2`) VALUES 
 ('ING','GB'),
 ('SPA','ESP'),
 ('XXX','YYY');
/*!40000 ALTER TABLE `coco` ENABLE KEYS */;


--
-- Definition of table `fatt`
--

DROP TABLE IF EXISTS `fatt`;
CREATE TABLE `fatt` (
  `fadesc` char(10) collate latin1_general_ci NOT NULL default '',
  `faval1` int(11) default NULL,
  `faval2` int(11) default NULL,
  PRIMARY KEY  (`fadesc`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `fatt`
--

/*!40000 ALTER TABLE `fatt` DISABLE KEYS */;
INSERT INTO `fatt` (`fadesc`,`faval1`,`faval2`) VALUES 
 ('A',10,0),
 ('B',20,25),
 ('C',0,35),
 ('D',40,45),
 ('E',0,0);
/*!40000 ALTER TABLE `fatt` ENABLE KEYS */;


--
-- Definition of table `naz2`
--

DROP TABLE IF EXISTS `naz2`;
CREATE TABLE `naz2` (
  `NANAZI` char(3) collate latin1_general_ci NOT NULL,
  `NADESC` char(50) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`NANAZI`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `naz2`
--

/*!40000 ALTER TABLE `naz2` DISABLE KEYS */;
INSERT INTO `naz2` (`NANAZI`,`NADESC`) VALUES 
 ('CH','Svizzera'),
 ('GER','Germania'),
 ('ING','Inghilterra'),
 ('ITA','Italia'),
 ('SPA','Spagna');
/*!40000 ALTER TABLE `naz2` ENABLE KEYS */;


--
-- Definition of table `nazi`
--

DROP TABLE IF EXISTS `nazi`;
CREATE TABLE `nazi` (
  `NANAZI` char(3) collate latin1_general_ci NOT NULL,
  `NADESC` char(50) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`NANAZI`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `nazi`
--

/*!40000 ALTER TABLE `nazi` DISABLE KEYS */;
INSERT INTO `nazi` (`NANAZI`,`NADESC`) VALUES 
 ('CH','Svizzera'),
 ('ESP','Espana'),
 ('FRA','Francia'),
 ('GB','Gran Bretagna'),
 ('GER','Germania'),
 ('ING','Inghilterra'),
 ('ITA','Italia'),
 ('SPA','Spagna');
/*!40000 ALTER TABLE `nazi` ENABLE KEYS */;


--
-- Definition of table `nazz`
--

DROP TABLE IF EXISTS `nazz`;
CREATE TABLE `nazz` (
  `naid` int(11) NOT NULL auto_increment,
  `nanazi` char(10) collate latin1_general_ci default NULL,
  `nadesc` char(50) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`naid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `nazz`
--

/*!40000 ALTER TABLE `nazz` DISABLE KEYS */;
INSERT INTO `nazz` (`naid`,`nanazi`,`nadesc`) VALUES 
 (1,'FRA','Francia 1'),
 (2,'ITA','Italia 1'),
 (3,'ITA','Italia 2'),
 (4,'FRA','Francia 2'),
 (5,'FRA','Francia 3');
/*!40000 ALTER TABLE `nazz` ENABLE KEYS */;


--
-- Definition of table `orri`
--

DROP TABLE IF EXISTS `orri`;
CREATE TABLE `orri` (
  `O2ORDI` int(10) unsigned NOT NULL auto_increment COMMENT 'Ordine',
  `O2RIGA` int(10) unsigned NOT NULL COMMENT 'Riga',
  `O2ARTI` char(10) collate latin1_general_ci NOT NULL COMMENT 'Articolo',
  `O2QTRI` int(10) unsigned NOT NULL COMMENT 'Quantita Richiesta',
  `O2DTRI` date NOT NULL COMMENT 'Data Richiesta',
  `O2QTCO` int(10) unsigned NOT NULL COMMENT 'Quantita Consegnata',
  `O2DTCO` date NOT NULL COMMENT 'Data Consegna',
  PRIMARY KEY  (`O2ORDI`,`O2RIGA`),
  KEY `arti` (`O2ARTI`),
  CONSTRAINT `arti` FOREIGN KEY (`O2ARTI`) REFERENCES `arti` (`ARARTI`),
  CONSTRAINT `orte` FOREIGN KEY (`O2ORDI`) REFERENCES `orte` (`O1ORDI`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Righe Ordini';

--
-- Dumping data for table `orri`
--

/*!40000 ALTER TABLE `orri` DISABLE KEYS */;
INSERT INTO `orri` (`O2ORDI`,`O2RIGA`,`O2ARTI`,`O2QTRI`,`O2DTRI`,`O2QTCO`,`O2DTCO`) VALUES 
 (1,10,'COM001',4,'2007-01-10',0,'0000-00-00'),
 (3,10,'COM002',10,'2006-12-10',0,'2007-01-01'),
 (3,20,'MOU001',5,'0000-00-00',0,'0000-00-00'),
 (3,30,'com001',3,'0000-00-00',0,'0000-00-00');
/*!40000 ALTER TABLE `orri` ENABLE KEYS */;


--
-- Definition of table `orte`
--

DROP TABLE IF EXISTS `orte`;
CREATE TABLE `orte` (
  `O1ORDI` int(10) unsigned NOT NULL auto_increment COMMENT 'Ordine',
  `O1CLIE` char(10) collate latin1_general_ci NOT NULL COMMENT 'Cliente',
  `O1DTOR` date NOT NULL COMMENT 'Data Ordine',
  PRIMARY KEY  (`O1ORDI`),
  KEY `clie` (`O1CLIE`),
  CONSTRAINT `clie` FOREIGN KEY (`O1CLIE`) REFERENCES `clie` (`CLCLIE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Ordini';

--
-- Dumping data for table `orte`
--

/*!40000 ALTER TABLE `orte` DISABLE KEYS */;
INSERT INTO `orte` (`O1ORDI`,`O1CLIE`,`O1DTOR`) VALUES 
 (1,'CN','2006-11-02'),
 (2,'CN','2006-11-03'),
 (3,'VC','2006-11-01'),
 (4,'CN','2006-12-21'),
 (5,'AC','2006-11-12'),
 (7,'CN','2006-12-21'),
 (8,'AC','2006-11-12');
/*!40000 ALTER TABLE `orte` ENABLE KEYS */;


--
-- Definition of table `prov`
--

DROP TABLE IF EXISTS `prov`;
CREATE TABLE `prov` (
  `PRPROV` char(2) collate latin1_general_ci NOT NULL COMMENT 'Provincia',
  `PRDESC` char(50) collate latin1_general_ci NOT NULL COMMENT 'Descrizione',
  PRIMARY KEY  (`PRPROV`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Provincie';

--
-- Dumping data for table `prov`
--

/*!40000 ALTER TABLE `prov` DISABLE KEYS */;
INSERT INTO `prov` (`PRPROV`,`PRDESC`) VALUES 
 ('CO','Como'),
 ('MI','Milano'),
 ('RM','Roma'),
 ('TO','Torino');
/*!40000 ALTER TABLE `prov` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
