#//------------------------------
#// Chiamare mysql tramite un file bat (ad es.: apre.bat)
#//     contenente i seguenti comandi:
#//     -----------------------------------
#//         c:
#//         cd\xxx
#//         mysql -u root -pyyyyyy -vvv
#//         pause
#//     -----------------------------------
#// dove:   xxx=indirizzario di mysql.exe
#//         yyyyyy=password
#//         pause serve a vedere gli incidenti eventuali di collegamento, ad esempio, password errata.
#//         -vvv provoca il modo verbose
#//------------------------------
#// Eseguire con: mysql> source C:\CorsoDb\corsoese.sql
#//------------------------------
select ('Usa il database adeguato');
use corsodb;
#//------------------------------
select ('Elenco file con chiave unica');
select * from nazi;
#//------------------------------
select ('Elenco file con chiave non unica');
select * from NAZZ;
#//------------------------------
select ('Elenco mutilato');
select * from NAZ2;
#//------------------------------
select ('Decodifica join su chiave unica');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    prdesc, 
    clnazi, 
    nadesc 
    FROM clie 
    left join (prov, nazi) 
    on (clprov=prprov and clnazi=nanazi);
#//------------------------------
select ('Decodifica select su chiave unica');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    (select prdesc from prov where clprov=prprov) as prdesc, 
    clnazi,
    (select nadesc from nazi where clnazi=nanazi limit 1)  as nadesc
    FROM clie;
#//------------------------------
select ('Decodifica join su chiave non unica');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    prdesc, 
    clnazi, 
    nadesc 
    FROM clie 
    left join (prov, NAZZ) 
    on (clprov=prprov and clnazi=nanazi);
#//------------------------------
select ('Decodifica select su chiave non unica');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    (select prdesc from prov where clprov=prprov) as prdesc, 
    clnazi,
    (select nadesc from NAZZ where clnazi=nanazi limit 1)  as nadesc
    FROM clie;
#//------------------------------
select ('Decodifica       join su chiave unica mancante di record');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    prdesc, 
    clnazi, 
    nadesc 
    FROM clie 
    join (prov, naz2) 
    on (clprov=prprov and clnazi=nanazi);
#//------------------------------
select ('Decodifica RIGHT join su chiave unica mancante di record');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    prdesc, 
    clnazi, 
    nadesc 
    FROM clie 
    right join (prov, naz2) 
    on (clprov=prprov and clnazi=nanazi);
#//------------------------------
select ('Decodifica LEFT join su chiave unica mancante di record');
SELECT 
    clclie, 
    clras1, 
    clprov, 
    prdesc, 
    clnazi, 
    nadesc 
    FROM clie 
    left join (prov, naz2) 
    on (clprov=prprov and clnazi=nanazi);
#//------------------------------
select ('Elenca testate');
select * from orte;
#//------------------------------
select ('Elenca testate');
select o1clie, o1ordi, o1dtor from orte order by o1clie, o1ordi;
#//------------------------------
select ('Conta testate');
select count(*) from orte;
#//------------------------------
select ('Popolazione cienti nelle testate - incompleta');
select count(*) from orte group by o1clie;
#//------------------------------
select ('Popolazione cienti nelle testate - con codice - ordinata sul conteggio');
select o1clie, count(*) as cnt from orte group by o1clie order by cnt desc;
#//------------------------------
select ('Popolazione cienti nelle testate - con decodifica');
select 
    o1clie, 
    (select clras1 from clie where clclie=o1clie limit 1) as clras1,
    count(*) as cnt
    from orte 
    group by o1clie 
    order by cnt desc;
#//------------------------------
select ('Popolazione clienti nelle testate - conta delle conte');
select count(*) as ContaClientiDelleTestateOrdini from
(select 
    o1clie, 
    (select clras1 from clie where clclie=o1clie limit 1) as clras1,
    count(*) as cnt
    from orte 
    group by o1clie 
    order by cnt desc) as pop;
#//------------------------------
select ('Popolazione clienti nelle testate  - conta delle conte - tra data e data');
select count(*) as ContaClientiDelleTestateOrdini from
(select 
    o1clie, 
    (select clras1 from clie where clclie=o1clie limit 1) as clras1,
    count(*) as cnt
    from orte 
    where o1dtor>="2006/11/01"
      and o1dtor<="2006/11/10"
    group by o1clie 
    order by cnt desc) as pop;
#//------------------------------
select 'Nazioni between';
select * from nazi where nanazi between "G" and "J";
select * from nazi where (nadesc like "%r%" and nadesc like 'i%') or (nadesc like '%gn%');
select * from nazi where nanazi in ("ITA", "SPA");
#//------------------------------
select 'Elenco dei clienti che abitano in provincie con descrizione contenente "r"';
select prprov from prov where prdesc like '%r%';
select * from clie where clprov in ('co', 'mi');
select * from clie where clprov in (select prprov from prov where prdesc like '%r%');
#//------------------------------
select 'Esempi join';
select clclie, clras1, clnazi, nanazi, nadesc from clie join nazi on clnazi=nanazi;
select clclie, clras1, clnazi, nanazi, nadesc from clie join naz2 on clnazi=nanazi;
select clclie, clras1, clnazi, nanazi, nadesc from clie left join naz2 on clnazi=nanazi;
select clclie, clras1, clnazi, nanazi, nadesc from clie right join naz2 on clnazi=nanazi;
select clclie, clras1, clnazi, nanazi, nadesc from clie right join naz2 on clnazi=nanazi 
    where clclie is null;
select nanazi, nadesc from clie right join naz2 on clnazi=nanazi 
    where clclie is null;
#//------------------------------
select ('Scarico file caricabile con EXCEL');
select * from clie 
into outfile 'c:/corsodb/clie.csv' 
    FIELDS ENCLOSED BY '"' TERMINATED BY ';' 
    LINES TERMINATED BY '\r\n';
#//------------------------------
select ('Exists');
select * from nazi where exists (select * from nazi where nanazi='ITA');
select * from nazi where exists (select true);
#//------------------------------
select ('Crea file di Trascodifica');
CREATE TABLE if not exists coco ( 
    NANAZ1	char(3) NOT NULL,
    NANAZ2	char(3) NOT NULL,
    PRIMARY KEY(NANAZ1));
INSERT INTO coco(NANAZ1, NANAZ2) VALUES('SPA', 'ESP');
INSERT INTO coco(NANAZ1, NANAZ2) VALUES('ING', 'GB');
INSERT INTO coco(NANAZ1, NANAZ2) VALUES('XXX', 'YYY');
#//------------------------------
select ('Trascodifica manuale - dritto');
update clie set clnazi='SPA' where clnazi='ESP';
update clie set clnazi='ING' where clnazi='GB';
#//------------------------------
select ('Trascodifica manuale - rovescio');
update clie set clnazi='ESP' where clnazi='SPA';
update clie set clnazi='GB'  where clnazi='ING';
#//------------------------------
select ('Trascodifica con l''uso del file di Trascodifica');
update clie 
    set     clnazi=(select nanaz2 from coco where nanaz1=clnazi) 
    where   clnazi=(select nanaz1 from coco where nanaz1=clnazi);
#//------------------------------
select ('Case primo tipo');
SELECT CASE 2 WHEN 1 THEN 'one' WHEN 2 THEN 'two' ELSE 'more' END;
#//------------------------------
select ('Fatt: file per esperimento if e case');
CREATE TABLE if not exists fatt ( 
    fadesc	char(10) NOT NULL,
    faval1	int(11) NULL,
    faval2	int(11) NULL,
    PRIMARY KEY(fadesc));

LOAD DATA LOCAL INFILE 'C:/corsodb/fatt.txt' INTO TABLE fatt
    FIELDS ENCLOSED BY '"' TERMINATED BY ';' 
    LINES TERMINATED BY '\r\n';

select * from fatt;
select fadesc, faval1, faval2, (select (faval1 + faval2)) from fatt;
#//------------------------------
select ('Esempio If');
select fadesc, faval1, faval2, 
    (select if((faval1=0 and faval2=0), 1, (faval1 + faval2))) as calcolatoIF 
    from fatt;
#//------------------------------
select ('Esempio case');
select fadesc, faval1, faval2, 
    (select case 
        when (faval1=0  and faval2=0) then 1
        when (faval1<>0 and faval2=0) then faval1
        when (faval1=0  and faval2<>0) then faval2
        else                          (faval1 * faval2) 
        end) as calcolatoCASE 
    from fatt;
#//------------------------------
select ('Crea tabella duplicata, vi copia dati, la stampa, la pulisce, la ristampa vuota');
DROP TABLE IF EXISTS nazibis;
CREATE TABLE nazibis LIKE nazi;
insert into nazibis select * from nazi where nanazi between 'GB' and 'ITA';
select * from nazibis;
delete from nazibis;
select * from nazibis;
DROP TABLE nazibis;
#//------------------------------
select ('Utilizza tabelle temporanee');
drop TEMPORARY TABLE if exists nazitmp1;
drop TEMPORARY TABLE if exists nazitmp2;
CREATE TEMPORARY TABLE nazitmp1 LIKE nazi;
CREATE TEMPORARY TABLE nazitmp2 LIKE nazi;
insert into nazitmp1 select * from nazi where nanazi     between 'GB' and 'ITA';
insert into nazitmp2 select * from nazi where nanazi not between 'GB' and 'ITA';
select * from nazitmp1;
select * from nazitmp2;
drop TEMPORARY TABLE nazitmp1;
drop TEMPORARY TABLE nazitmp2;
#//------------------------------
select ('Utilizzo contemporaneo di pi database');
drop table if exists corsodb.coco2;
CREATE TABLE corsodb.coco2 LIKE morsodb.coco;
insert into corsodb.coco2 select * from morsodb.coco;
delete from corsodb.coco2 where nanaz1='XXX';
#//------------------------------
select ('Riceca e sostituzione');
select * from clie where clindi like '%del %';
select clclie, clras1, clindi, (select replace(clindi, 'del ', 'DEL ')) 
    from clie where clindi like '%del %';
update clie set clindi=(select replace(clindi, 'del ', 'DEL ')) 
    where clindi like '%del %';
select * from clie;
update clie set clindi=(select replace(clindi, 'DEL ', 'del ')) 
    where clindi like '%DEL %';
#//------------------------------
select ('Uso di variabili in Riceca e sostituzione');
set @sr='del '; 
set @sr2=concat('%',@sr,'%');
set @rp='DEL ';
set @rp2=concat('%',@rp,'%');
select @sr, @sr2, @rp, @rp2;
select * from clie where clindi like @sr2;
select clclie, clras1, clindi, (select replace(clindi, @sr, @rp)) 
    from clie where clindi like @sr2;
select * from clie;
update clie set clindi=(select replace(clindi, @sr, @rp)) 
    where clindi like @sr2;
select * from clie;
update clie set clindi=(select replace(clindi, @rp, @sr)) 
    where clindi like @rp2;
select * from clie;
